From dd4cc5b028c35f9bb8fa9d3bdc8f26bcdfc43d40 Mon Sep 17 00:00:00 2001
From: fujiwarat <takao.fujiwara1@gmail.com>
Date: Wed, 30 Sep 2020 20:35:23 +0900
Subject: [PATCH] ui/gtk3: Fix arguments in GLib.DBusSignalCallback for Vala
 0.50

BUG=https://github.com/ibus/ibus/issues/2265
---
 ui/gtk3/application.vala | 22 +++++++++++-----------
 ui/gtk3/extension.vala   | 22 +++++++++++-----------
 2 files changed, 22 insertions(+), 22 deletions(-)

diff --git a/ui/gtk3/application.vala b/ui/gtk3/application.vala
index cc9ee54c9..da65301b4 100644
--- a/ui/gtk3/application.vala
+++ b/ui/gtk3/application.vala
@@ -3,7 +3,7 @@
  * ibus - The Input Bus
  *
  * Copyright(c) 2011 Peng Huang <shawn.p.huang@gmail.com>
- * Copyright(c) 2017 Takao Fujiwara <takao.fujiwara1@gmail.com>
+ * Copyright(c) 2017-2020 Takao Fujiwara <takao.fujiwara1@gmail.com>
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -69,22 +69,22 @@ class Application {
     }
 
     private void bus_name_acquired_cb(DBusConnection connection,
-                                      string sender_name,
-                                      string object_path,
-                                      string interface_name,
-                                      string signal_name,
-                                      Variant parameters) {
+                                      string?        sender_name,
+                                      string         object_path,
+                                      string         interface_name,
+                                      string         signal_name,
+                                      Variant        parameters) {
         debug("signal_name = %s", signal_name);
         m_panel = new Panel(m_bus);
         m_panel.load_settings();
     }
 
     private void bus_name_lost_cb(DBusConnection connection,
-                                  string sender_name,
-                                  string object_path,
-                                  string interface_name,
-                                  string signal_name,
-                                  Variant parameters) {
+                                  string?        sender_name,
+                                  string         object_path,
+                                  string         interface_name,
+                                  string         signal_name,
+                                  Variant        parameters) {
         // "Destroy" dbus method was called before this callback is called.
         // "Destroy" dbus method -> ibus_service_destroy()
         // -> g_dbus_connection_unregister_object()
diff --git a/ui/gtk3/extension.vala b/ui/gtk3/extension.vala
index ea3cd4647..a6f2e8e6a 100644
--- a/ui/gtk3/extension.vala
+++ b/ui/gtk3/extension.vala
@@ -3,7 +3,7 @@
  * ibus - The Input Bus
  *
  * Copyright(c) 2018 Peng Huang <shawn.p.huang@gmail.com>
- * Copyright(c) 2018 Takao Fujiwara <takao.fujiwara1@gmail.com>
+ * Copyright(c) 2018-2020 Takao Fujiwara <takao.fujiwara1@gmail.com>
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -67,22 +67,22 @@ class ExtensionGtk : Gtk.Application {
 
 
     private void bus_name_acquired_cb(DBusConnection connection,
-                                      string sender_name,
-                                      string object_path,
-                                      string interface_name,
-                                      string signal_name,
-                                      Variant parameters) {
+                                      string?        sender_name,
+                                      string         object_path,
+                                      string         interface_name,
+                                      string         signal_name,
+                                      Variant        parameters) {
         debug("signal_name = %s", signal_name);
         m_panel = new PanelBinding(m_bus, this);
         m_panel.load_settings();
     }
 
     private void bus_name_lost_cb(DBusConnection connection,
-                                  string sender_name,
-                                  string object_path,
-                                  string interface_name,
-                                  string signal_name,
-                                  Variant parameters) {
+                                  string?        sender_name,
+                                  string         object_path,
+                                  string         interface_name,
+                                  string         signal_name,
+                                  Variant        parameters) {
         // "Destroy" dbus method was called before this callback is called.
         // "Destroy" dbus method -> ibus_service_destroy()
         // -> g_dbus_connection_unregister_object()
